Skip to content
Mock data. Run values, controls, targets and reproductions on this preview are invented for layout. Claim-card text, upstream figures, the reference price and the RFC list come from the repository.
Inference ProofsMenu

Workload, native division

sash-l31-8b-c4096

SASH zk-inference-prover's own model and shape: the system's published headline shape. A workload fixes what is proved: the model by content hash, the precision, the prompt set, the shape, the decoding rule and the phase.

Definition

RFC-0003 §v0.1 native workloads

Version
1
Division
native
System
sash
Model
Llama-3.1-8B
Precision
W8A8
Shape
4,096 prompt + 512 output tokens, greedy
Batch
1 requests per batch, 1 batches per session, 1 prompts per job
Phase
both
Model digest
not pinned yet: filled from the public model repository in the implementing issue; the schema rejects a workload without it (RFC-0003)
Prompt corpus digest
not pinned yet: filled from the public model repository in the implementing issue; the schema rejects a workload without it (RFC-0003)
Active parameters per token
not pinned yet: filled from the public model repository in the implementing issue; the schema rejects a workload without it (RFC-0003)

Configurations on this workload

Claim summary first, then rows.

Reference row: runs the model without proving, no proof claim (RFC-0015).

ref-recompute on sash-l31-8b-c4096

profile prover-h100tier reported
Measured

whole_wall_seconds

9.827 s

scope whole_wallgrade measuredtier reportedmock

mean 9.827, sd 0.1106, min 9.710, max 9.930, n 3, n_failed 0

mean 9.827 srepetition 1: 9.84 srepetition 2: 9.71 srepetition 3: 9.93 ssource: mock harness record

tokens_covered_total

4,608 token

grade measuredtier reportedmock

mean 4,608, sd 0, min 4,608, max 4,608, n 3, n_failed 0

source: mock harness record
Derived (computed by the derivation code)

rate_whole_wall

469.0 token/s

scope whole_wallgrade derivedtier reportedmock

mean 469.0, sd 5.289, min 464.0, max 474.6, n 3, n_failed 0

mean 469.0 token/srepetition 1: 468.2926829268293 token/srepetition 2: 474.56230690010295 token/srepetition 3: 464.04833836858006 token/ssource: mock derivation record

cost_per_1k_tokens_whole_wall

0.002541 USD/1k_token

scope whole_wallgrade derivedtier reportedmock

mean 0.002541, sd 2.860e-5, min 0.002511, max 0.002568, n 3, n_failed 0

mean 0.002541 USD/1k_tokenrepetition 1: 0.002544704861111111 USD/1k_tokenrepetition 2: 0.002511085792824074 USD/1k_tokenrepetition 3: 0.002567979600694444 USD/1k_tokensource: mock derivation record
Runs
  • mock-rr-c4096-r1completed
  • mock-rr-c4096-r2completed
  • mock-rr-c4096-r3completed
  • Superseded, failed and ineligible runs never contribute to statistics (RFC-0009 S7).

Reference row: runs the model without proving, no proof claim (RFC-0015).

ref-serve on sash-l31-8b-c4096

profile prover-h100tier reported
Measured

whole_wall_seconds

3.420 s

scope whole_wallgrade measuredtier reportedmock

mean 3.420, sd 0.03000, min 3.390, max 3.450, n 3, n_failed 0

mean 3.420 srepetition 1: 3.42 srepetition 2: 3.39 srepetition 3: 3.45 ssource: mock harness record

tokens_covered_total

4,608 token

grade measuredtier reportedmock

mean 4,608, sd 0, min 4,608, max 4,608, n 3, n_failed 0

source: mock harness record
Derived (computed by the derivation code)

rate_whole_wall

1,347 token/s

scope whole_wallgrade derivedtier reportedmock

mean 1,347, sd 11.82, min 1,336, max 1,359, n 3, n_failed 0

mean 1,347 token/srepetition 1: 1347.3684210526317 token/srepetition 2: 1359.29203539823 token/srepetition 3: 1335.6521739130435 token/ssource: mock derivation record

cost_per_1k_tokens_whole_wall

0.0008844 USD/1k_token

scope whole_wallgrade derivedtier reportedmock

mean 0.0008844, sd 7.758e-6, min 0.0008767, max 0.0008922, n 3, n_failed 0

mean 0.0008844 USD/1k_tokenrepetition 1: 0.0008844401041666667 USD/1k_tokenrepetition 2: 0.000876681857638889 USD/1k_tokenrepetition 3: 0.0008921983506944446 USD/1k_tokensource: mock derivation record
Runs
  • mock-rs-c4096-r1completed
  • mock-rs-c4096-r2completed
  • mock-rs-c4096-r3completed
  • Superseded, failed and ineligible runs never contribute to statistics (RFC-0009 S7).
relation:
not stated
security.notion:
not stated
coverage:
both, segment_grid
residual:
not stated

sash / default on sash-l31-8b-c4096

profile prover-h100tier peer-reviewed
Measured

setup_seconds

41.40 s

scope setupgrade measuredtier peer-reviewedmock

mean 41.40, sd 0.5568, min 40.90, max 42, n 3, n_failed 1

mean 41.40 srepetition 1: 41.3 srepetition 2: 40.9 srepetition 3: 42 ssource: mock harness record

commit_seconds

64.37 s

scope commitgrade measuredtier peer-reviewedmock

mean 64.37, sd 0.6658, min 63.80, max 65.10, n 3, n_failed 1

mean 64.37 srepetition 1: 64.2 srepetition 2: 63.8 srepetition 3: 65.1 ssource: mock harness record

prove_session_seconds

5,415 s

scope prove.sessiongrade measuredtier peer-reviewedmock

mean 5,415, sd 60.57, min 5,362, max 5,481, n 3, n_failed 1

mean 5,415 srepetition 1: 5402.1 srepetition 2: 5361.7 srepetition 3: 5480.8 ssource: mock harness record

prove_steady_seconds

null (not_observable) s

scope prove.steadygrade measuredtier peer-reviewedmock
source: mock harness record

whole_wall_seconds

5,479 s

scope whole_wallgrade measuredtier peer-reviewedmock

mean 5,479, sd 61.23, min 5,426, max 5,546, n 3, n_failed 1

mean 5,479 srepetition 1: 5466.3 srepetition 2: 5425.5 srepetition 3: 5545.900000000001 ssource: mock harness record

tokens_covered_total

4,608 token

grade measuredtier peer-reviewedmock

mean 4,608, sd 0, min 4,608, max 4,608, n 3, n_failed 1

source: mock harness record

requests_count

1 count

grade measuredtier peer-reviewedmock

mean 1, sd 0, min 1, max 1, n 3, n_failed 1

source: mock harness record

proofs_count

1 count

grade measuredtier peer-reviewedmock

mean 1, sd 0, min 1, max 1, n 3, n_failed 1

source: mock harness record

proof_bytes_total

1.980e10 B

grade measuredtier peer-reviewedmock

mean 1.980e10, sd 0, min 1.980e10, max 1.980e10, n 3, n_failed 1

source: mock harness record

verify_seconds

121.3 s

scope verifygrade measuredtier peer-reviewedmock

mean 121.3, sd 1.405, min 119.8, max 122.6, n 3, n_failed 1

mean 121.3 srepetition 1: 121.4 srepetition 2: 119.8 srepetition 3: 122.6 ssource: mock harness record

verify_seconds_total

121.3 s

scope verifygrade measuredtier peer-reviewedmock

mean 121.3, sd 1.405, min 119.8, max 122.6, n 3, n_failed 1

mean 121.3 srepetition 1: 121.4 srepetition 2: 119.8 srepetition 3: 122.6 ssource: mock harness record

verify_single_thread_seconds

802.6 s

scope verify.single_threadgrade measuredtier peer-reviewedmock

mean 802.6, sd 3.602, min 799.1, max 806.3, n 3, n_failed 1

mean 802.6 srepetition 1: 802.5 srepetition 2: 799.1 srepetition 3: 806.3 ssource: mock harness record
Derived (computed by the derivation code)

rate_whole_wall

0.8411 token/s

scope whole_wallgrade derivedtier peer-reviewedmock

mean 0.8411, sd 0.009368, min 0.8309, max 0.8493, n 3, n_failed 1

mean 0.8411 token/srepetition 1: 0.8429833708358487 token/srepetition 2: 0.849322643074371 token/srepetition 3: 0.8308840765250004 token/ssource: mock derivation record

rate_prove.session

0.8511 token/s

scope prove.sessiongrade derivedtier peer-reviewedmock

mean 0.8511, sd 0.009488, min 0.8408, max 0.8594, n 3, n_failed 1

mean 0.8511 token/srepetition 1: 0.8530016104848114 token/srepetition 2: 0.8594289124717907 token/srepetition 3: 0.8407531747190191 token/ssource: mock derivation record

rate_prove.steady

null (not_observable) token/s

scope prove.steadygrade derivedtier peer-reviewedmock
source: mock derivation record

cost_per_1k_tokens_whole_wall

1.417 USD/1k_token

scope whole_wallgrade derivedtier peer-reviewedmock

mean 1.417, sd 0.01584, min 1.403, max 1.434, n 3, n_failed 1

mean 1.417 USD/1k_tokenrepetition 1: 1.4136300998263889 USD/1k_tokenrepetition 2: 1.403078884548611 USD/1k_tokenrepetition 3: 1.4342153139467597 USD/1k_tokensource: mock derivation record

proof_bytes_per_token

4,297,000 B/token

grade derivedtier peer-reviewedmock

mean 4,297,000, sd 0, min 4,297,000, max 4,297,000, n 3, n_failed 1

source: mock derivation record

verify_seconds_per_token

0.02632 s/token

scope verifygrade derivedtier peer-reviewedmock

mean 0.02632, sd 0.0003049, min 0.02600, max 0.02661, n 3, n_failed 1

mean 0.02632 s/tokenrepetition 1: 0.02634548611111111 s/tokenrepetition 2: 0.025998263888888887 s/tokenrepetition 3: 0.026605902777777777 s/tokensource: mock derivation record
Runs
  • mock-sash-c4096-r1supersededreplaced by mock-sash-c4096-r4: the verifier container ran with 4 CPUs instead of 8 (mock correction).
  • mock-sash-c4096-r2completed
  • mock-sash-c4096-r3completed
  • mock-sash-c4096-r4completed
  • mock-sash-c4096-r5failedexit code 1, last lines:
    upload: archive part 3 of 7: connection reset
    harness: run failed in phase upload, proofs kept on the runner
  • Superseded, failed and ineligible runs never contribute to statistics (RFC-0009 S7).